<ng-container *appVar="(allAchievements$ | async) as allAchievements">
  <ng-container *appVar="(companyAchievements$ | async) as companyAchievements">
    <div class="achievements-container">
      <app-achievment *ngFor="let achievement of allAchievements"
                      [bonuses]="achievement.bonus"
                      [description]="getDescription(achievement)"
                      [icon]="getIcon(achievement)"
                      [title]="getTitle(achievement)"
                      [disabled]="isAchievementDisabled(achievement, companyAchievements)"
      />
    </div>
  </ng-container>
</ng-container>
